POST api/NTNonInjury/DeleteDocument
Request Information
URI Parameters
None.
Body Parameters
NonInjuryDocumentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| RecordID | globally unique identifier |
None. |
|
| EntityID | string |
String length: inclusive between 0 and 50 |
|
| EntityTypeID | integer |
None. |
|
| DocTypeID | integer |
None. |
|
| DocumentTypeName | string |
String length: inclusive between 0 and 50 |
|
| DocTypeDescription | string |
String length: inclusive between 0 and 200 |
|
| DocumentName | string |
String length: inclusive between 0 and 50 |
|
| DocumentTypeDetail | string |
String length: inclusive between 0 and 100 |
|
| CaseNumber | integer |
None. |
|
| FilePath | string |
String length: inclusive between 0 and 200 |
|
| FileName | string |
String length: inclusive between 0 and 50 |
|
| UserID | integer |
None. |
|
| FileId | string |
String length: inclusive between 0 and 200 |
|
| UserName | string |
String length: inclusive between 0 and 100 |
|
| TimeCreated | date |
None. |
|
| Notes | string |
String length: inclusive between 0 and 200 |
|
| ValidFlag | boolean |
None. |
|
| CorporationCode | string |
String length: inclusive between 0 and 10 |
|
| RelativeDateTime | string |
String length: inclusive between 0 and 50 |
|
| FileByteArray | Collection of byte |
None. |
|
| FileExtension | string |
String length: inclusive between 0 and 200 |
|
| IsDocumentEdit | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"RecordID": "6f9b7dfb-028b-490a-8ab6-ba111a93c1ea",
"EntityID": "sample string 2",
"EntityTypeID": 3,
"DocTypeID": 1,
"DocumentTypeName": "sample string 4",
"DocTypeDescription": "sample string 5",
"DocumentName": "sample string 5",
"DocumentTypeDetail": "sample string 6",
"CaseNumber": 7,
"FilePath": "sample string 8",
"FileName": "sample string 9",
"UserID": 10,
"FileId": "sample string 11",
"UserName": "sample string 12",
"TimeCreated": "2026-08-04T14:27:27.6201539-07:00",
"Notes": "sample string 14",
"ValidFlag": true,
"CorporationCode": "sample string 16",
"RelativeDateTime": "sample string 17",
"FileByteArray": "QEA=",
"FileExtension": "sample string 18",
"IsDocumentEdit": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfNonInjuryDocumentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | NonInjuryDocumentDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"RecordID": "6664d700-e34f-405f-a4f7-ee267c6d7553",
"EntityID": "sample string 2",
"EntityTypeID": 3,
"DocTypeID": 1,
"DocumentTypeName": "sample string 4",
"DocTypeDescription": "sample string 5",
"DocumentName": "sample string 5",
"DocumentTypeDetail": "sample string 6",
"CaseNumber": 7,
"FilePath": "sample string 8",
"FileName": "sample string 9",
"UserID": 10,
"FileId": "sample string 11",
"UserName": "sample string 12",
"TimeCreated": "2026-08-04T14:27:27.6201539-07:00",
"Notes": "sample string 14",
"ValidFlag": true,
"CorporationCode": "sample string 16",
"RelativeDateTime": "sample string 17",
"FileByteArray": "QEA=",
"FileExtension": "sample string 18",
"IsDocumentEdit": true
},
"totalCount": 3
}